﻿using UnityEngine;

public class WaterController : MonoBehaviour
{
    private void OnTriggerEnter(Collider collider)
    {
		PlayerController pc = collider.GetComponent<PlayerController>();
        if (pc != null)
        {
            pc.isInWater = true;
            AudioManager.PlayClip(AudioManager.instance.duckSplash);
			pc.splashParticle(collider.transform.position);
        }
    }

    private void OnTriggerExit(Collider other)
    {
        PlayerController pc = other.GetComponent<PlayerController>();
        if (pc != null)
        {
            pc.isInWater = false;
            AudioManager.PlayClip(AudioManager.instance.duckSplash);
        }
    }
}