﻿using UnityEngine;
using System.Collections;

public class Panning : MonoBehaviour
{
    public float horizontalScrollSpeed = 0.5f;
    //public float verticalScrollSpeed = 0.25f;

    Renderer r;

    private void Start()
    {
        r = GetComponent<Renderer>();
    }

    public void FixedUpdate()
    {
        //float verticalOffset = Time.time * verticalScrollSpeed;
        float horizontalOffset = Time.time * horizontalScrollSpeed;

        r.material.mainTextureOffset = new Vector2(horizontalOffset, r.material.mainTextureOffset.y);
    }
}